- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_handed_coordinate_space: Space Handedness
GTX Extensions (Experimental)

## Functions
template<typename T >
bool | leftHanded (detail::tvec3< T > const &tangent, detail::tvec3< T > const &binormal, detail::tvec3< T > const &normal)
template<typename T >
bool | rightHanded (detail::tvec3< T > const &tangent, detail::tvec3< T > const &binormal, detail::tvec3< T > const &normal)

## Detailed Description

To know if a set of three basis vectors defines a right or left-handed coordinate system.

<glm/gtx/handed_coordinate_system.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::leftHanded | ( | detail::tvec3< T > const & | tangent,
|  | detail::tvec3< T > const & | binormal,
|  | detail::tvec3< T > const & | normal
| ) |  |

Return if a trihedron left handed or not.

From GLM_GTX_handed_coordinate_space extension.

bool glm::rightHanded | ( | detail::tvec3< T > const & | tangent,
|  | detail::tvec3< T > const & | binormal,
|  | detail::tvec3< T > const & | normal
| ) |  |

Return if a trihedron right handed or not.

From GLM_GTX_handed_coordinate_space extension.